Chat

Delete a message

DELETE/chat-rooms/:roomId/messages/:messageId

Soft-delete a message you sent. Deleted messages are excluded from listings, unread counts and the image list. Deleting an already deleted message succeeds.

AuthLogin required

Path parameters

roomIdstringrequired

Chat room ID.

messageIdstringrequired

Message ID.

Response

FieldTypeDescription
idstringID of the deleted message.
deletedAtstringDeletion time (ISO 8601).
Request
curl https://api.4s.link/chat-rooms/ROOM_ID/messages/MESSAGE_ID \
-X DELETE \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"id": "m1a2b3c4-...",
"deletedAt": "2026-08-28T00:00:00.000Z"
}